	import * as THREE from 'three';


	// PS rack
	export function rpspremium(width=800, height=2500, depth=600) {
		const rps_rackObject = new THREE.Object3D();
	
		const bluematerial = new THREE.MeshLambertMaterial({color: 0x0053d9});
		const softbluematerial = new THREE.MeshLambertMaterial({color: 0x2b7cff});
		const target = new THREE.MeshLambertMaterial({color: 0xfbe928});
		
		// rack
		const rrgeometry = new THREE.BoxGeometry(width, height, depth);
		const rrmesh = new THREE.Mesh(rrgeometry, softbluematerial);
		rrmesh.position.set( 0, 0 , -10);
		rps_rackObject.add(rrmesh);		
		
		//front yellow target
		const Ftarget = new THREE.BoxGeometry(2, 90, 500);
		const Ftargetmesh = new THREE.Mesh(Ftarget, target);
		Ftargetmesh.position.set( -451, 1200 , -15);
		rps_rackObject.add(Ftargetmesh);		
		//Rear yellow target
		const Rtarget = new THREE.BoxGeometry(2, 90, 500);
		const Rtargetmesh = new THREE.Mesh(Rtarget, target);
		Rtargetmesh.position.set( 401, 1200 , -15);
		rps_rackObject.add(Rtargetmesh);			
		
		//edge le	
		const llegeometry = new THREE.BoxGeometry(width-750, height, depth-550);
		const llemesh = new THREE.Mesh(llegeometry, bluematerial);
		llemesh.position.set( -425, 0 , -285);
		rps_rackObject.add(llemesh);
		
		//edge re		
		const lregeometry = new THREE.BoxGeometry(width-750, height, depth-550);
		const lremesh = new THREE.Mesh(lregeometry, bluematerial);
		lremesh.position.set( -425, 0 , 265);
		rps_rackObject.add(lremesh);		

		//edge ue		
		const luegeometry = new THREE.BoxGeometry(width-750, height-2450, depth-50);
		const luemesh = new THREE.Mesh(luegeometry, bluematerial);
		luemesh.position.set( -425, 1225 , -7);
		rps_rackObject.add(luemesh);		

		//edge de		
		const ldegeometry = new THREE.BoxGeometry(width-750, height-2450, depth-50);
		const ldemesh = new THREE.Mesh(ldegeometry, bluematerial);
		ldemesh.position.set( -425, -1230 , -7);
		rps_rackObject.add(ldemesh);				

	
		//base and build texture
		const drawer1geometry = new THREE.BoxGeometry(10, 2450, 550);
		const textureLoader = new THREE.TextureLoader();
		const texture = textureLoader.load('./components/rpsscreenfoto.jpg');
		texture.wrapS = texture.wrapT = THREE.RepeatWrapping;
		texture.repeat.set(1, 1);
		const material = new THREE.MeshBasicMaterial({ map: texture });
		const gridgeometrymesh = new THREE.Mesh(drawer1geometry, material);
		gridgeometrymesh.rotateX(Math.PI * 1);
		gridgeometrymesh.rotateY(Math.PI * 1);
		gridgeometrymesh.rotateZ(Math.PI * 1);
		gridgeometrymesh.position.set( -400, 0 , -10);
		rps_rackObject.add(gridgeometrymesh);			
		
		return rps_rackObject;
	}
